<?php

/**
 * @package CsvImporterPlusforACF
 */

/*
Plugin Name: CSV Importer Plus for ACF
Plugin URI: https://csvimporterplusforacf.com/
Description: CSV Importer Plus for ACF is a powerful and user-friendly plugin that allows you to effortlessly map and import CSV data into your posts, pages, custom post types, and WooCommerce products with or without ACF fields. Supporting a wide range of standard post/page fields and ACF fields, this plugin offers a seamless solution for managing data in WordPress. Upgrade to the premium version for even more features, including advanced support for 20+ ACF fields like Repeater, Flexible Content, Gallery, WYSIWYG Editor, and enhanced WooCommerce integration like importing product simple, groups, external, and variable products with ease. CSV Importer Plus for ACF is perfect for developers, content creators, and WooCommerce shop owners looking to streamline their workflow and enhance their ACF and product management capabilities.
Author: mobeenraheem
Requires at least: 5.8
Requires PHP: 5.6.20
Tested up to: 6.7
Version: 1.2.5
License: GPLv2 or later
Text Domain: csv-importer-plus-for-acf
Domain Path: /languages/
*/

// make sure we don't expose any info if called directly
if (!defined('ABSPATH')) exit; // Exit if accessed directly

use CIPFA\base\CIPFA_Deactivate;
use CIPFA\base\CIPFA_Activate;
use CIPFA\base\CIPFA_BaseController;
use CIPFA\CIPFA_Init;

//composer autoload
if (file_exists(dirname(__FILE__) . '/vendor/autoload.php')) {
   require_once dirname(__FILE__) . '/vendor/autoload.php';
}

//load textdomain
load_plugin_textdomain('csv-importer-plus-for-acf', false, CIPFA_BaseController::$plugin_path . 'languages/');


//plugin activation
register_activation_hook(__FILE__, array(CIPFA_Activate::class, 'cipfa_activate'));
//plugin deactivation
register_deactivation_hook(__FILE__, array(CIPFA_Deactivate::class, 'cipfa_deactivate'));

add_action('plugins_loaded', 'cipfa_all_plugins_loaded', 20);
function cipfa_all_plugins_loaded()
{
   //initialization of classes
   if (class_exists('CIPFA\\CIPFA_Init')) {
      CIPFA_Init::cipfa_registerServices();
   }
}
