<?php

/**
 * @package CsvImporterPlusforACF
 */

namespace CIPFA\base;

// make sure we don't expose any info if called directly
if (!defined('ABSPATH')) exit; // Exit if accessed directly

class CIPFA_BaseController
{
   //plugin path,url & name
   public static $plugin_path;
   public static $plugin_url;
   public static $plugin_name;

   public function __construct()
   {
      //setting plugin path,url & name
      self::$plugin_path = plugin_dir_path(dirname(__FILE__, 2));
      self::$plugin_url  = plugin_dir_url(dirname(__FILE__, 2));
      self::$plugin_name = plugin_basename(self::$plugin_path . 'csv-importer-plus-for-acf.php');
   }

   // Get user created or default post types
   public static function cipfa_get_filtered_post_types()
   {
      // Get all public post types
      $post_types = get_post_types(array('public' => true), 'objects');

      // Filter post types
      $filtered_post_types = array_filter($post_types, function ($post_type) {
         return (!$post_type->show_ui ||
            !$post_type->show_in_nav_menus ||
            !$post_type->query_var ||
            (post_type_supports($post_type->name, 'title') &&
               $post_type->capability_type === 'post')
         );
      });

      // Check if WooCommerce is active and include 'product' post type
      if (class_exists('WooCommerce')) {
         $product_post_type = get_post_type_object('product');
         if ($product_post_type) {
            $filtered_post_types['product'] = $product_post_type;
         }
      }

      return $filtered_post_types;
   }
}
