<?php

/**
 * @package CsvImporterPlusforACF
 */

namespace CIPFA\base;

// make sure we don't expose any info if called directly
if (!defined('ABSPATH')) exit; // Exit if accessed directly

class CIPFA_Logs
{
   private static $option_key = 'cipfa_import_logs';

   // Method to log errors
   public static function cipfa_Log($message)
   {
      $logs = self::cipfa_get_logs();
      $logs[] = $message;
      self::cipfa_save_logs($logs);
   }

   // Retrieve the logs from the option
   public static function cipfa_get_logs()
   {
      $logs = get_option(self::$option_key, []);
      return is_array($logs) ? $logs : [];
   }

   // Save the logs to the option
   private static function cipfa_save_logs($logs)
   {
      update_option(self::$option_key, $logs, false);
   }

   // Clear/Reset the logs
   public static function cipfa_clear_logs()
   {
      delete_option(self::$option_key);
   }
}
